(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 4.0,
MathReader 4.0, or any compatible application. The data for the notebook 
starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     23102,        897]*)
(*NotebookOutlinePosition[     23783,        921]*)
(*  CellTagsIndexPosition[     23739,        917]*)
(*WindowFrame->Normal*)



Notebook[{
Cell["Schema Strutturale", "Section",
  FontFamily->"Comic Sans MS"],

Cell[CellGroupData[{

Cell["Dati Numerici", "Section",
  FontFamily->"Comic Sans MS"],

Cell[BoxData[{
    \(\(AngoloBeta = Pi/3;\)\), "\[IndentingNewLine]", 
    \(\(L = 5000;\)\), "\[IndentingNewLine]", 
    \(\(bt = 300;\)\), "\[IndentingNewLine]", 
    \(\(ht = 500;\)\), "\[IndentingNewLine]", 
    \(\(br = 300;\)\), "\[IndentingNewLine]", 
    \(\(hr = 400;\)\), "\[IndentingNewLine]", 
    \(\(bp = 300;\)\), "\[IndentingNewLine]", 
    \(\(hp = 300;\)\), "\[IndentingNewLine]", 
    \(\(q = 40;\)\), "\[IndentingNewLine]", 
    \(\(F = 20000;\)\), "\[IndentingNewLine]", 
    \(\(fck = 20;\)\), "\[IndentingNewLine]", 
    \(\(Lp = N[L/2  Tan[AngoloBeta]];\)\)}], "Input",
  FontFamily->"Comic Sans MS"],

Cell[BoxData[{
    \(\(It = bt\ ht^3/12;\)\), "\[IndentingNewLine]", 
    \(\(Ir = br\ hr^3/12;\)\), "\[IndentingNewLine]", 
    \(\(Ap = bp\ hp;\)\), "\[IndentingNewLine]", 
    \(\(Ec = N[9500\ \((fck + 8)\)^\((1/3)\)];\)\)}], "Input",
  FontFamily->"Comic Sans MS"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Incognite", "Section",
  FontFamily->"Comic Sans MS"],

Cell[BoxData[
    \(\(Incognite = {FiC, FiD, FiE, DeltaC, DeltaG};\)\)], "Input",
  FontFamily->"Comic Sans MS"]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Espressione degli spostamenti d'asta in funzione di quelli dei nodi\
\>", "Section",
  FontFamily->"Comic Sans MS"],

Cell["\<\
Con riferimento alle relazioni che legano gli spostamenti nodali (siano essi \
virtuali o effettivi) a quelli trasversali subiti dalle aste si costruisce la \
seguenete matrice di corrisopndenza:\
\>", "Text",
  FontFamily->"Comic Sans MS"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(Tabella = {{1/Sin[AngoloBeta], 
            1/Sin[AngoloBeta], \(-2\)/Tan[AngoloBeta], \(-1\)/
              Sin[AngoloBeta], \(-1\)/Sin[AngoloBeta], 
            1/Tan[AngoloBeta]}, {0, 0, 0, 0, 
            0, \(-1\)}};\)\), "\[IndentingNewLine]", 
    \(\(Tabella = Transpose[Tabella];\)\), "\[IndentingNewLine]", 
    \(MatrixForm[Tabella]\)}], "Input",
  FontFamily->"Comic Sans MS"],

Cell[BoxData[
    TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
            {\(2\/\@3\), "0"},
            {\(2\/\@3\), "0"},
            {\(-\(2\/\@3\)\), "0"},
            {\(-\(2\/\@3\)\), "0"},
            {\(-\(2\/\@3\)\), "0"},
            {\(1\/\@3\), \(-1\)}
            }], "\[NoBreak]", ")"}],
      (MatrixForm[ #]&)]], "Output"]
}, Open  ]],

Cell[BoxData[{
    \(\(DeltaNodi = {DeltaC, DeltaG};\)\), "\[IndentingNewLine]", 
    \(\(DeltaVirtualeNodi = {DeltaVirtualeC, DeltaVirtualeG};\)\)}], "Input",
  FontFamily->"Comic Sans MS"],

Cell[CellGroupData[{

Cell["Definizione degli spostamenti trasversali delle aste", "Subsection",
  FontFamily->"Comic Sans MS"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(DeltaAste = {DeltaAC, DeltaBD, DeltaCD, DeltaCE, DeltaDE, 
        DeltaDG}\), "\[IndentingNewLine]", 
    \(DeltaVirtualeAste = {DeltaVirtualeAC, DeltaVirtualeBD, DeltaVirtualeCD, 
        DeltaVirtualeCE, DeltaVirtualeDE, DeltaVirtualeDG}\)}], "Input",
  FontFamily->"Comic Sans MS"],

Cell[BoxData[
    \({DeltaAC, DeltaBD, DeltaCD, DeltaCE, DeltaDE, DeltaDG}\)], "Output"],

Cell[BoxData[
    \({DeltaVirtualeAC, DeltaVirtualeBD, DeltaVirtualeCD, DeltaVirtualeCE, 
      DeltaVirtualeDE, DeltaVirtualeDG}\)], "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Legame tra spostamenti d'asta e spostamenti nodali", "Subsection",
  FontFamily->"Comic Sans MS"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(DeltaAste = Tabella . DeltaNodi\), "\[IndentingNewLine]", 
    \(DeltaVirtualeAste = Tabella . DeltaVirtualeNodi\)}], "Input",
  FontFamily->"Comic Sans MS"],

Cell[BoxData[
    \({\(2\ DeltaC\)\/\@3, \(2\ DeltaC\)\/\@3, \(-\(\(2\ DeltaC\)\/\@3\)\), \
\(-\(\(2\ DeltaC\)\/\@3\)\), \(-\(\(2\ DeltaC\)\/\@3\)\), 
      DeltaC\/\@3 - DeltaG}\)], "Output"],

Cell[BoxData[
    \({\(2\ DeltaVirtualeC\)\/\@3, \(2\ DeltaVirtualeC\)\/\@3, \(-\(\(2\ \
DeltaVirtualeC\)\/\@3\)\), \(-\(\(2\ DeltaVirtualeC\)\/\@3\)\), \(-\(\(2\ \
DeltaVirtualeC\)\/\@3\)\), DeltaVirtualeC\/\@3 - DeltaVirtualeG}\)], "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Espressione dei coefficienti di rigidezza e dei momenti di incastro perfetto.\
\
\>", "Section",
  FontFamily->"Comic Sans MS"],

Cell[CellGroupData[{

Cell["ASTA AC", "Subsection",
  FontFamily->"Comic Sans MS"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(WAC = 4\ Ec\ Ir/L\), "\[IndentingNewLine]", 
    \(WCA = 4\ Ec\ Ir/L\), "\[IndentingNewLine]", 
    \(VAC = 2\ Ec\ Ir/L\), "\[IndentingNewLine]", 
    \(VCA = 2\ Ec\ Ir/L\), "\[IndentingNewLine]", 
    \(UAC = 6\ Ec\ Ir/L^2\), "\[IndentingNewLine]", 
    \(UCA = 6\ Ec\ Ir/L^2\), "\[IndentingNewLine]", 
    \(muCA = 0\), "\[IndentingNewLine]", 
    \(muAC = 0\)}], "Input",
  FontFamily->"Comic Sans MS"],

Cell[BoxData[
    \(3.692492189800805`*^10\)], "Output"],

Cell[BoxData[
    \(3.692492189800805`*^10\)], "Output"],

Cell[BoxData[
    \(1.8462460949004025`*^10\)], "Output"],

Cell[BoxData[
    \(1.8462460949004025`*^10\)], "Output"],

Cell[BoxData[
    \(1.1077476569402415`*^7\)], "Output"],

Cell[BoxData[
    \(1.1077476569402415`*^7\)], "Output"],

Cell[BoxData[
    \(0\)], "Output"],

Cell[BoxData[
    \(0\)], "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["ASTA BD", "Subsection",
  FontFamily->"Comic Sans MS"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(WBD = 4\ Ec\ Ir/L\), "\[IndentingNewLine]", 
    \(WDB = 4\ Ec\ Ir/L\), "\[IndentingNewLine]", 
    \(VBD = 2\ Ec\ Ir/L\), "\[IndentingNewLine]", 
    \(VDB = 2\ Ec\ Ir/L\), "\[IndentingNewLine]", 
    \(UBD = 6\ Ec\ Ir/L^2\), "\[IndentingNewLine]", 
    \(UDB = 6\ Ec\ Ir/L^2\), "\[IndentingNewLine]", 
    \(muBD = 0\), "\[IndentingNewLine]", 
    \(muDB = 0\)}], "Input",
  FontFamily->"Comic Sans MS"],

Cell[BoxData[
    \(3.692492189800805`*^10\)], "Output"],

Cell[BoxData[
    \(3.692492189800805`*^10\)], "Output"],

Cell[BoxData[
    \(1.8462460949004025`*^10\)], "Output"],

Cell[BoxData[
    \(1.8462460949004025`*^10\)], "Output"],

Cell[BoxData[
    \(1.1077476569402415`*^7\)], "Output"],

Cell[BoxData[
    \(1.1077476569402415`*^7\)], "Output"],

Cell[BoxData[
    \(0\)], "Output"],

Cell[BoxData[
    \(0\)], "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["ASTA CD", "Subsection",
  FontFamily->"Comic Sans MS"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(WCD = 4\ Ec\ It/L\), "\[IndentingNewLine]", 
    \(WDC = 4\ Ec\ It/L\), "\[IndentingNewLine]", 
    \(VCD = 2\ Ec\ It/L\), "\[IndentingNewLine]", 
    \(VDC = 2\ Ec\ It/L\), "\[IndentingNewLine]", 
    \(UCD = 6\ Ec\ It/L^2\), "\[IndentingNewLine]", 
    \(UDC = 6\ Ec\ It/L^2\), "\[IndentingNewLine]", 
    \(muCD = \(-q\)\ L^2/12\), "\[IndentingNewLine]", 
    \(muDC = q\ L^2/12\)}], "Input",
  FontFamily->"Comic Sans MS"],

Cell[BoxData[
    \(7.211898808204697`*^10\)], "Output"],

Cell[BoxData[
    \(7.211898808204697`*^10\)], "Output"],

Cell[BoxData[
    \(3.605949404102348`*^10\)], "Output"],

Cell[BoxData[
    \(3.605949404102348`*^10\)], "Output"],

Cell[BoxData[
    \(2.1635696424614094`*^7\)], "Output"],

Cell[BoxData[
    \(2.1635696424614094`*^7\)], "Output"],

Cell[BoxData[
    \(\(-\(250000000\/3\)\)\)], "Output"],

Cell[BoxData[
    \(250000000\/3\)], "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["ASTA CE", "Subsection",
  FontFamily->"Comic Sans MS"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(WCE = 4\ Ec\ Ir/L\), "\[IndentingNewLine]", 
    \(WEC = 4\ Ec\ Ir/L\), "\[IndentingNewLine]", 
    \(VCE = 2\ Ec\ Ir/L\), "\[IndentingNewLine]", 
    \(VEC = 2\ Ec\ Ir/L\), "\[IndentingNewLine]", 
    \(UCE = 6\ Ec\ Ir/L^2\), "\[IndentingNewLine]", 
    \(UEC = 6\ Ec\ Ir/L^2\), "\[IndentingNewLine]", 
    \(muCE = 0\), "\[IndentingNewLine]", 
    \(muEC = 0\)}], "Input",
  FontFamily->"Comic Sans MS"],

Cell[BoxData[
    \(3.692492189800805`*^10\)], "Output"],

Cell[BoxData[
    \(3.692492189800805`*^10\)], "Output"],

Cell[BoxData[
    \(1.8462460949004025`*^10\)], "Output"],

Cell[BoxData[
    \(1.8462460949004025`*^10\)], "Output"],

Cell[BoxData[
    \(1.1077476569402415`*^7\)], "Output"],

Cell[BoxData[
    \(1.1077476569402415`*^7\)], "Output"],

Cell[BoxData[
    \(0\)], "Output"],

Cell[BoxData[
    \(0\)], "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["ASTA DE", "Subsection",
  FontFamily->"Comic Sans MS"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(WDE = 4\ Ec\ Ir/L\), "\[IndentingNewLine]", 
    \(WED = 4\ Ec\ Ir/L\), "\[IndentingNewLine]", 
    \(VDE = 2\ Ec\ Ir/L\), "\[IndentingNewLine]", 
    \(VED = 2\ Ec\ Ir/L\), "\[IndentingNewLine]", 
    \(UDE = 6\ Ec\ Ir/L^2\), "\[IndentingNewLine]", 
    \(UED = 6\ Ec\ Ir/L^2\), "\[IndentingNewLine]", 
    \(muDE = 0\), "\[IndentingNewLine]", 
    \(muED = 0\)}], "Input",
  FontFamily->"Comic Sans MS"],

Cell[BoxData[
    \(3.692492189800805`*^10\)], "Output"],

Cell[BoxData[
    \(3.692492189800805`*^10\)], "Output"],

Cell[BoxData[
    \(1.8462460949004025`*^10\)], "Output"],

Cell[BoxData[
    \(1.8462460949004025`*^10\)], "Output"],

Cell[BoxData[
    \(1.1077476569402415`*^7\)], "Output"],

Cell[BoxData[
    \(1.1077476569402415`*^7\)], "Output"],

Cell[BoxData[
    \(0\)], "Output"],

Cell[BoxData[
    \(0\)], "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["ASTA DG", "Subsection",
  FontFamily->"Comic Sans MS"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(WDG = 3\ Ec\ It/L\), "\[IndentingNewLine]", 
    \(WGD = 0\), "\[IndentingNewLine]", 
    \(VDG = 0\), "\[IndentingNewLine]", 
    \(VGD = 0\), "\[IndentingNewLine]", 
    \(UDG = 3\ Ec\ It/L^2\), "\[IndentingNewLine]", 
    \(UGD = 0\), "\[IndentingNewLine]", 
    \(muDG = 0\), "\[IndentingNewLine]", 
    \(muGD = 0\)}], "Input",
  FontFamily->"Comic Sans MS"],

Cell[BoxData[
    \(5.4089241061535225`*^10\)], "Output"],

Cell[BoxData[
    \(0\)], "Output"],

Cell[BoxData[
    \(0\)], "Output"],

Cell[BoxData[
    \(0\)], "Output"],

Cell[BoxData[
    \(1.0817848212307047`*^7\)], "Output"],

Cell[BoxData[
    \(0\)], "Output"],

Cell[BoxData[
    \(0\)], "Output"],

Cell[BoxData[
    \(0\)], "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Espressione dei momenti d'estremit\[AGrave] delle varie aste", "Section",
  FontFamily->"Comic Sans MS"],

Cell[CellGroupData[{

Cell["ASTA AC", "Subsection",
  FontFamily->"Comic Sans MS"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(MAC = 
      VAC\ FiC - UAC\ DeltaAste[\([1]\)] + muAC\), "\[IndentingNewLine]", 
    \(MCA = WCA\ FiC - UCA\ DeltaAste[\([1]\)] + muCA\)}], "Input",
  FontFamily->"Comic Sans MS"],

Cell[BoxData[
    \(\(-1.2791168158572515`*^7\)\ DeltaC + 
      1.8462460949004025`*^10\ FiC\)], "Output"],

Cell[BoxData[
    \(\(-1.2791168158572515`*^7\)\ DeltaC + 
      3.692492189800805`*^10\ FiC\)], "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["ASTA BD", "Subsection",
  FontFamily->"Comic Sans MS"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(MBD = 
      VBD\ FiD - UBD\ DeltaAste[\([2]\)] + muBD\), "\[IndentingNewLine]", 
    \(MDB = WDB\ FiD - UDB\ DeltaAste[\([2]\)] + muDB\)}], "Input",
  FontFamily->"Comic Sans MS"],

Cell[BoxData[
    \(\(-1.2791168158572515`*^7\)\ DeltaC + 
      1.8462460949004025`*^10\ FiD\)], "Output"],

Cell[BoxData[
    \(\(-1.2791168158572515`*^7\)\ DeltaC + 
      3.692492189800805`*^10\ FiD\)], "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["ASTA CD", "Subsection",
  FontFamily->"Comic Sans MS"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(MCD = 
      WCD\ FiC + VCD\ FiD - UCD\ DeltaAste[\([3]\)] + 
        muCD\), "\[IndentingNewLine]", 
    \(MDC = WDC\ FiD + VDC\ FiC - UDC\ DeltaAste[\([3]\)] + muDC\)}], "Input",\

  FontFamily->"Comic Sans MS"],

Cell[BoxData[
    \(\(-\(250000000\/3\)\) + 2.4982750309711944`*^7\ DeltaC + 
      7.211898808204697`*^10\ FiC + 3.605949404102348`*^10\ FiD\)], "Output"],

Cell[BoxData[
    \(250000000\/3 + 2.4982750309711944`*^7\ DeltaC + 
      3.605949404102348`*^10\ FiC + 7.211898808204697`*^10\ FiD\)], "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["ASTA CE", "Subsection",
  FontFamily->"Comic Sans MS"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(MCE = 
      WCE\ FiC + VCE\ FiE - UCE\ DeltaAste[\([4]\)] + 
        muCE\), "\[IndentingNewLine]", 
    \(MEC = WEC\ FiE + VEC\ FiC - UEC\ DeltaAste[\([4]\)] + muEC\)}], "Input",\

  FontFamily->"Comic Sans MS"],

Cell[BoxData[
    \(1.2791168158572515`*^7\ DeltaC + 3.692492189800805`*^10\ FiC + 
      1.8462460949004025`*^10\ FiE\)], "Output"],

Cell[BoxData[
    \(1.2791168158572515`*^7\ DeltaC + 1.8462460949004025`*^10\ FiC + 
      3.692492189800805`*^10\ FiE\)], "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["ASTA DE", "Subsection",
  FontFamily->"Comic Sans MS"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(MDE = 
      WDE\ FiD + VDE\ FiE - UDE\ DeltaAste[\([5]\)] + 
        muDE\), "\[IndentingNewLine]", 
    \(MED = WED\ FiE + VED\ FiD - UED\ DeltaAste[\([5]\)] + muED\)}], "Input",\

  FontFamily->"Comic Sans MS"],

Cell[BoxData[
    \(1.2791168158572515`*^7\ DeltaC + 3.692492189800805`*^10\ FiD + 
      1.8462460949004025`*^10\ FiE\)], "Output"],

Cell[BoxData[
    \(1.2791168158572515`*^7\ DeltaC + 1.8462460949004025`*^10\ FiD + 
      3.692492189800805`*^10\ FiE\)], "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["ASTA DG", "Subsection",
  FontFamily->"Comic Sans MS"],

Cell[CellGroupData[{

Cell[BoxData[
    \(MDG = WDG\ FiD - UDG\ DeltaAste[\([6]\)] + muDG\)], "Input",
  FontFamily->"Comic Sans MS"],

Cell[BoxData[
    \(\(-1.0817848212307047`*^7\)\ \((DeltaC\/\@3 - DeltaG)\) + 
      5.4089241061535225`*^10\ FiD\)], "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Relazione tra reazione del endolo e spostamenti incogniti", "Section",
  FontFamily->"Comic Sans MS"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Np = Ec\ Ap/Lp\ DeltaG\)], "Input",
  FontFamily->"Comic Sans MS"],

Cell[BoxData[
    \(599586.0074330865`\ DeltaG\)], "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Scrittura delle equazioni di equilibrio", "Section",
  FontFamily->"Comic Sans MS"],

Cell[CellGroupData[{

Cell["Equazioni di equilibrio alla rotazione", "Subsection",
  FontFamily->"Comic Sans MS"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(Eq1 = MCA + MCD + MCE\), "\[IndentingNewLine]", 
    \(Eq2 = MDB + MDC + MDE + MDG\), "\[IndentingNewLine]", 
    \(Eq3 = MEC + MED\)}], "Input",
  FontFamily->"Comic Sans MS"],

Cell[BoxData[
    \(\(-\(250000000\/3\)\) + 2.4982750309711944`*^7\ DeltaC + 
      1.4596883187806305`*^11\ FiC + 3.605949404102348`*^10\ FiD + 
      1.8462460949004025`*^10\ FiE\)], "Output"],

Cell[BoxData[
    \(250000000\/3 + 2.4982750309711944`*^7\ DeltaC - 
      1.0817848212307047`*^7\ \((DeltaC\/\@3 - DeltaG)\) + 
      3.605949404102348`*^10\ FiC + 2.000580729395983`*^11\ FiD + 
      1.8462460949004025`*^10\ FiE\)], "Output"],

Cell[BoxData[
    \(2.558233631714503`*^7\ DeltaC + 1.8462460949004025`*^10\ FiC + 
      1.8462460949004025`*^10\ FiD + 7.38498437960161`*^10\ FiE\)], "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Equazione di equilibrio globale", "Subsection",
  FontFamily->"Comic Sans MS"],

Cell[BoxData[
    \(\(PLV = \((MAC + MCA)\)\ DeltaVirtualeAste[\([1]\)]/
              L + \((MBD + MDB)\)\ DeltaVirtualeAste[\([2]\)]/
              L + \((MCD + MDC)\)\ DeltaVirtualeAste[\([3]\)]/
              L + \((MCE + MEC)\)\ DeltaVirtualeAste[\([4]\)]/
              L + \((MDE + MED)\)\ DeltaVirtualeAste[\([5]\)]/L + 
          MDG\ DeltaVirtualeAste[\([6]\)]/L + F\ DeltaVirtualeC - 
          Np\ DeltaVirtualeG;\)\)], "Input",
  FontFamily->"Comic Sans MS"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(Eq4 = \(-Coefficient[PLV, DeltaVirtualeC]\)\), "\[IndentingNewLine]", 
    \(Eq5 = \(-Coefficient[PLV, DeltaVirtualeG]\)\)}], "Input",
  FontFamily->"Comic Sans MS"],

Cell[BoxData[
    \(\(-20000\) + 35892.17798867314`\ DeltaC - 1249.137515485597`\ DeltaG + 
      2.4982750309711937`*^7\ FiC + 1.8737062732283954`*^7\ FiD + 
      2.558233631714502`*^7\ FiE\)], "Output"],

Cell[BoxData[
    \(\(-1249.137515485597`\)\ DeltaC + 601749.5770755479`\ DeltaG + 
      1.0817848212307045`*^7\ FiD\)], "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Costruzione della matrice di rigidezza e del vettore dei termini noti\
\>", "Subsection",
  FontFamily->"Comic Sans MS"],

Cell[BoxData[
    \(\(Sistema = {Eq1, Eq2, Eq3, Eq4, Eq5};\)\)], "Input",
  FontFamily->"Comic Sans MS"],

Cell[BoxData[
    \(\(MatriceK = 
        Table[Table[
            Coefficient[Sistema[\([i]\)], Incognite[\([j]\)]], {j, 1, 
              5}], {i, 1, 5}];\)\)], "Input",
  FontFamily->"Comic Sans MS"],

Cell[CellGroupData[{

Cell[BoxData[
    \(MatrixForm[MatriceK]\)], "Input",
  FontFamily->"Comic Sans MS"],

Cell[BoxData[
    TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
            {"1.4596883187806305`*^11", "3.605949404102348`*^10", 
              "1.8462460949004025`*^10", "2.4982750309711944`*^7", "0"},
            {"3.605949404102348`*^10", "2.000580729395983`*^11", 
              "1.8462460949004025`*^10", "1.8737062732283957`*^7", 
              "1.0817848212307047`*^7"},
            {"1.8462460949004025`*^10", "1.8462460949004025`*^10", 
              "7.38498437960161`*^10", "2.558233631714503`*^7", "0"},
            {"2.4982750309711937`*^7", "1.8737062732283954`*^7", 
              "2.558233631714502`*^7", 
              "35892.17798867314`", \(-1249.137515485597`\)},
            {"0", "1.0817848212307045`*^7", "0", \(-1249.137515485597`\), 
              "601749.5770755479`"}
            }], "\[NoBreak]", ")"}],
      (MatrixForm[ #]&)]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Q = \(-Sistema\) /. {FiC \[Rule] 0, FiD \[Rule] 0, FiE \[Rule] 0, 
          DeltaC \[Rule] 0, DeltaG \[Rule] 0}\)], "Input",
  FontFamily->"Comic Sans MS"],

Cell[BoxData[
    \({250000000\/3, \(-\(250000000\/3\)\), 0, 20000, 0}\)], "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Soluzione delle equazioni di equilibrio", "Section",
  FontFamily->"Comic Sans MS"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Sol = Solve[Sistema \[Equal] 0, Incognite] // Flatten\)], "Input",
  FontFamily->"Comic Sans MS"],

Cell[BoxData[
    \({FiC \[Rule] 0.0006420756159332917`, 
      FiD \[Rule] \(-0.000565489771161423`\), 
      FiE \[Rule] \(-0.00021213456677850065`\), 
      DeltaC \[Rule] 0.5571086735510183`, 
      DeltaG \[Rule] 0.011322463885198754`}\)], "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Calcolo dei momenti nodali", "Section",
  FontFamily->"Comic Sans MS"],

Cell[CellGroupData[{

Cell["ASTA AC", "Subsection",
  FontFamily->"Comic Sans MS"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(MACSol = MAC /. Sol\), "\[IndentingNewLine]", 
    \(MCASol = MCA /. Sol\)}], "Input",
  FontFamily->"Comic Sans MS"],

Cell[BoxData[
    \(4.728225259485747`*^6\)], "Output"],

Cell[BoxData[
    \(1.658252124496185`*^7\)], "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["ASTA BD", "Subsection",
  FontFamily->"Comic Sans MS"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(MBDSol = MBD /. Sol\), "\[IndentingNewLine]", 
    \(MDBSol = MDB /. Sol\)}], "Input",
  FontFamily->"Comic Sans MS"],

Cell[BoxData[
    \(\(-1.756640354311935`*^7\)\)], "Output"],

Cell[BoxData[
    \(\(-2.8006736360248342`*^7\)\)], "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["ASTA CD", "Subsection",
  FontFamily->"Comic Sans MS"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(MCDSol = MCD /. Sol\), "\[IndentingNewLine]", 
    \(MDCSol = MDC /. Sol\)}], "Input",
  FontFamily->"Comic Sans MS"],

Cell[BoxData[
    \(\(-4.350065778682245`*^7\)\)], "Output"],

Cell[BoxData[
    \(7.962181199975613`*^7\)], "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["ASTA CE", "Subsection",
  FontFamily->"Comic Sans MS"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(MCESol = MCE /. Sol\), "\[IndentingNewLine]", 
    \(MECSol = MEC /. Sol\)}], "Input",
  FontFamily->"Comic Sans MS"],

Cell[BoxData[
    \(2.6918136541860607`*^7\)], "Output"],

Cell[BoxData[
    \(1.1147314401302548`*^7\)], "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["ASTA DE", "Subsection",
  FontFamily->"Comic Sans MS"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(MDESol = MDE /. Sol\), "\[IndentingNewLine]", 
    \(MEDSol = MED /. Sol\)}], "Input",
  FontFamily->"Comic Sans MS"],

Cell[BoxData[
    \(\(-1.7671121063349586`*^7\)\)], "Output"],

Cell[BoxData[
    \(\(-1.1147314401302546`*^7\)\)], "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["ASTA DG", "Subsection",
  FontFamily->"Comic Sans MS"],

Cell[CellGroupData[{

Cell[BoxData[
    \(MDGSol = MDG /. Sol\)], "Input",
  FontFamily->"Comic Sans MS"],

Cell[BoxData[
    \(\(-3.3943954576158166`*^7\)\)], "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Pendolo GH", "Subsection",
  FontFamily->"Comic Sans MS"],

Cell[CellGroupData[{

Cell[BoxData[
    \(NpSol = Ec\ Ap/Lp\ DeltaG /. Sol\)], "Input",
  FontFamily->"Comic Sans MS"],

Cell[BoxData[
    \(6788.790915231634`\)], "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
FrontEndVersion->"4.0 for Microsoft Windows",
ScreenRectangle->{{0, 1280}, {0, 951}},
WindowSize->{1272, 924},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
CellLabelAutoDelete->True
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{
Cell[1717, 49, 68, 1, 57, "Section"],

Cell[CellGroupData[{
Cell[1810, 54, 63, 1, 57, "Section"],
Cell[1876, 57, 624, 13, 250, "Input"],
Cell[2503, 72, 268, 5, 90, "Input"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2808, 82, 59, 1, 57, "Section"],
Cell[2870, 85, 112, 2, 30, "Input"]
}, Open  ]],

Cell[CellGroupData[{
Cell[3019, 92, 125, 3, 57, "Section"],
Cell[3147, 97, 250, 5, 35, "Text"],

Cell[CellGroupData[{
Cell[3422, 106, 411, 8, 70, "Input"],
Cell[3836, 116, 345, 10, 215, "Output"]
}, Open  ]],
Cell[4196, 129, 190, 3, 50, "Input"],

Cell[CellGroupData[{
Cell[4411, 136, 105, 1, 49, "Subsection"],

Cell[CellGroupData[{
Cell[4541, 141, 306, 5, 110, "Input"],
Cell[4850, 148, 88, 1, 29, "Output"],
Cell[4941, 151, 143, 2, 48, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[5133, 159, 103, 1, 49, "Subsection"],

Cell[CellGroupData[{
Cell[5261, 164, 178, 3, 50, "Input"],
Cell[5442, 169, 192, 3, 85, "Output"],
Cell[5637, 174, 243, 3, 124, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[5941, 184, 137, 4, 82, "Section"],

Cell[CellGroupData[{
Cell[6103, 192, 60, 1, 49, "Subsection"],

Cell[CellGroupData[{
Cell[6188, 197, 426, 9, 170, "Input"],
Cell[6617, 208, 56, 1, 29, "Output"],
Cell[6676, 211, 56, 1, 29, "Output"],
Cell[6735, 214, 57, 1, 29, "Output"],
Cell[6795, 217, 57, 1, 29, "Output"],
Cell[6855, 220, 56, 1, 29, "Output"],
Cell[6914, 223, 56, 1, 29, "Output"],
Cell[6973, 226, 35, 1, 29, "Output"],
Cell[7011, 229, 35, 1, 29, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[7095, 236, 60, 1, 49, "Subsection"],

Cell[CellGroupData[{
Cell[7180, 241, 426, 9, 170, "Input"],
Cell[7609, 252, 56, 1, 29, "Output"],
Cell[7668, 255, 56, 1, 29, "Output"],
Cell[7727, 258, 57, 1, 29, "Output"],
Cell[7787, 261, 57, 1, 29, "Output"],
Cell[7847, 264, 56, 1, 29, "Output"],
Cell[7906, 267, 56, 1, 29, "Output"],
Cell[7965, 270, 35, 1, 29, "Output"],
Cell[8003, 273, 35, 1, 29, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[8087, 280, 60, 1, 49, "Subsection"],

Cell[CellGroupData[{
Cell[8172, 285, 447, 9, 170, "Input"],
Cell[8622, 296, 56, 1, 29, "Output"],
Cell[8681, 299, 56, 1, 29, "Output"],
Cell[8740, 302, 56, 1, 29, "Output"],
Cell[8799, 305, 56, 1, 29, "Output"],
Cell[8858, 308, 56, 1, 29, "Output"],
Cell[8917, 311, 56, 1, 29, "Output"],
Cell[8976, 314, 55, 1, 42, "Output"],
Cell[9034, 317, 46, 1, 42, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[9129, 324, 60, 1, 49, "Subsection"],

Cell[CellGroupData[{
Cell[9214, 329, 426, 9, 170, "Input"],
Cell[9643, 340, 56, 1, 29, "Output"],
Cell[9702, 343, 56, 1, 29, "Output"],
Cell[9761, 346, 57, 1, 29, "Output"],
Cell[9821, 349, 57, 1, 29, "Output"],
Cell[9881, 352, 56, 1, 29, "Output"],
Cell[9940, 355, 56, 1, 29, "Output"],
Cell[9999, 358, 35, 1, 29, "Output"],
Cell[10037, 361, 35, 1, 29, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[10121, 368, 60, 1, 49, "Subsection"],

Cell[CellGroupData[{
Cell[10206, 373, 426, 9, 170, "Input"],
Cell[10635, 384, 56, 1, 29, "Output"],
Cell[10694, 387, 56, 1, 29, "Output"],
Cell[10753, 390, 57, 1, 29, "Output"],
Cell[10813, 393, 57, 1, 29, "Output"],
Cell[10873, 396, 56, 1, 29, "Output"],
Cell[10932, 399, 56, 1, 29, "Output"],
Cell[10991, 402, 35, 1, 29, "Output"],
Cell[11029, 405, 35, 1, 29, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[11113, 412, 60, 1, 49, "Subsection"],

Cell[CellGroupData[{
Cell[11198, 417, 384, 9, 170, "Input"],
Cell[11585, 428, 57, 1, 29, "Output"],
Cell[11645, 431, 35, 1, 29, "Output"],
Cell[11683, 434, 35, 1, 29, "Output"],
Cell[11721, 437, 35, 1, 29, "Output"],
Cell[11759, 440, 56, 1, 29, "Output"],
Cell[11818, 443, 35, 1, 29, "Output"],
Cell[11856, 446, 35, 1, 29, "Output"],
Cell[11894, 449, 35, 1, 29, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[11990, 457, 110, 1, 57, "Section"],

Cell[CellGroupData[{
Cell[12125, 462, 60, 1, 49, "Subsection"],

Cell[CellGroupData[{
Cell[12210, 467, 201, 4, 50, "Input"],
Cell[12414, 473, 107, 2, 29, "Output"],
Cell[12524, 477, 106, 2, 29, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[12679, 485, 60, 1, 49, "Subsection"],

Cell[CellGroupData[{
Cell[12764, 490, 201, 4, 50, "Input"],
Cell[12968, 496, 107, 2, 29, "Output"],
Cell[13078, 500, 106, 2, 29, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[13233, 508, 60, 1, 49, "Subsection"],

Cell[CellGroupData[{
Cell[13318, 513, 234, 6, 50, "Input"],
Cell[13555, 521, 155, 2, 62, "Output"],
Cell[13713, 525, 146, 2, 62, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[13908, 533, 60, 1, 49, "Subsection"],

Cell[CellGroupData[{
Cell[13993, 538, 234, 6, 50, "Input"],
Cell[14230, 546, 132, 2, 29, "Output"],
Cell[14365, 550, 132, 2, 29, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[14546, 558, 60, 1, 49, "Subsection"],

Cell[CellGroupData[{
Cell[14631, 563, 234, 6, 50, "Input"],
Cell[14868, 571, 132, 2, 29, "Output"],
Cell[15003, 575, 132, 2, 29, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[15184, 583, 60, 1, 49, "Subsection"],

Cell[CellGroupData[{
Cell[15269, 588, 111, 2, 30, "Input"],
Cell[15383, 592, 127, 2, 49, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[15571, 601, 107, 1, 82, "Section"],

Cell[CellGroupData[{
Cell[15703, 606, 86, 2, 30, "Input"],
Cell[15792, 610, 60, 1, 29, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[15901, 617, 89, 1, 57, "Section"],

Cell[CellGroupData[{
Cell[16015, 622, 91, 1, 49, "Subsection"],

Cell[CellGroupData[{
Cell[16131, 627, 197, 4, 70, "Input"],
Cell[16331, 633, 194, 3, 62, "Output"],
Cell[16528, 638, 244, 4, 105, "Output"],
Cell[16775, 644, 161, 2, 48, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[16985, 652, 84, 1, 49, "Subsection"],
Cell[17072, 655, 471, 8, 150, "Input"],

Cell[CellGroupData[{
Cell[17568, 667, 186, 3, 50, "Input"],
Cell[17757, 672, 205, 3, 48, "Output"],
Cell[17965, 677, 131, 2, 29, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[18145, 685, 130, 3, 70, "Subsection"],
Cell[18278, 690, 104, 2, 30, "Input"],
Cell[18385, 694, 202, 5, 70, "Input"],

Cell[CellGroupData[{
Cell[18612, 703, 84, 2, 30, "Input"],
Cell[18699, 707, 874, 16, 117, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[19610, 728, 176, 3, 30, "Input"],
Cell[19789, 733, 84, 1, 42, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[19934, 741, 89, 1, 57, "Section"],

Cell[CellGroupData[{
Cell[20048, 746, 117, 2, 30, "Input"],
Cell[20168, 750, 254, 5, 48, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[20471, 761, 76, 1, 57, "Section"],

Cell[CellGroupData[{
Cell[20572, 766, 60, 1, 49, "Subsection"],

Cell[CellGroupData[{
Cell[20657, 771, 138, 3, 50, "Input"],
Cell[20798, 776, 55, 1, 29, "Output"],
Cell[20856, 779, 55, 1, 29, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[20960, 786, 60, 1, 49, "Subsection"],

Cell[CellGroupData[{
Cell[21045, 791, 138, 3, 50, "Input"],
Cell[21186, 796, 60, 1, 29, "Output"],
Cell[21249, 799, 61, 1, 29, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[21359, 806, 60, 1, 49, "Subsection"],

Cell[CellGroupData[{
Cell[21444, 811, 138, 3, 50, "Input"],
Cell[21585, 816, 60, 1, 29, "Output"],
Cell[21648, 819, 55, 1, 29, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[21752, 826, 60, 1, 49, "Subsection"],

Cell[CellGroupData[{
Cell[21837, 831, 138, 3, 50, "Input"],
Cell[21978, 836, 56, 1, 29, "Output"],
Cell[22037, 839, 56, 1, 29, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[22142, 846, 60, 1, 49, "Subsection"],

Cell[CellGroupData[{
Cell[22227, 851, 138, 3, 50, "Input"],
Cell[22368, 856, 61, 1, 29, "Output"],
Cell[22432, 859, 61, 1, 29, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[22542, 866, 60, 1, 49, "Subsection"],

Cell[CellGroupData[{
Cell[22627, 871, 83, 2, 30, "Input"],
Cell[22713, 875, 61, 1, 29, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[22823, 882, 63, 1, 49, "Subsection"],

Cell[CellGroupData[{
Cell[22911, 887, 96, 2, 30, "Input"],
Cell[23010, 891, 52, 1, 29, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

